Package org.eclipse.ui.activities

## Class NotDefinedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.ui.activities.NotDefinedException

All Implemented Interfaces:
  `Serializable`

    public final class NotDefinedException
    extends Exception

Signals that an attempt was made to access the properties of an undefined object.

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `IActivity`, `ICategory`, Serialized Form

### Constructor Summary

Constructors
`NotDefinedException()` Creates a new instance of this class with no specified detail message.
`NotDefinedException​(String s)` Creates a new instance of this class with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NotDefinedException

    public NotDefinedException()

Creates a new instance of this class with no specified detail message.

#### NotDefinedException

    public NotDefinedException​(String s)

Creates a new instance of this class with the specified detail message.

Parameters:
  `s` - the detail message.